Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Search for

# FE Class Reference

`#include <FE.h>`

Inheritance diagram for FE:

List of all members.

## Public Member Functions
| FE ()
virtual | ~FE ()
virtual void | set (Polygon &p)=0
virtual Polygon & | getPolygon ()=0
virtual GiNaC::ex | N (int i)=0
virtual GiNaC::ex | dof (int i)=0
virtual int | nbf ()=0

## Detailed Description

Definition at line 13 of file FE.h.

## Constructor & Destructor Documentation

FE::FE | ( |  | ) | `[inline]`

| Definition at line 15 of file FE.h.
    00015 {}

virtual FE::~FE | ( |  | ) | `[inline, virtual]`

| Definition at line 16 of file FE.h.
    00016 {}

## Member Function Documentation

virtual GiNaC::ex FE::dof | ( | int | i | ) | `[pure virtual]`

| Implemented in CrouzeixRaviart, VectorCrouzeixRaviart, DiscontinuousLagrangeFE, VectorDiscontinuousLagrangeFE, StandardFE, HermiteFE, LagrangeFE, VectorLagrangeFE, Nedelec, and RaviartThomas. Referenced by compute_mixed_Poisson_element_matrix(), compute_nlconvdiff_element_matrix(), compute_Poisson_element_matrix(), compute_Stokes_element_matrix(), and usage().

virtual Polygon& FE::getPolygon | ( |  | ) | `[pure virtual]`

| Implemented in StandardFE. Referenced by compute_mixed_Poisson_element_matrix(), compute_nlconvdiff_element_matrix(), compute_poisson_element_matrix(), compute_Poisson_element_matrix(), and compute_Stokes_element_matrix().

virtual GiNaC::ex FE::N | ( | int | i | ) | `[pure virtual]`

| Implemented in CrouzeixRaviart, VectorCrouzeixRaviart, DiscontinuousLagrangeFE, VectorDiscontinuousLagrangeFE, StandardFE, HermiteFE, LagrangeFE, VectorLagrangeFE, Nedelec, and RaviartThomas. Referenced by code_gen2D(), compute_mixed_Poisson_element_matrix(), compute_nlconvdiff_element_matrix(), compute_poisson_element_matrix(), compute_Poisson_element_matrix(), compute_Stokes_element_matrix(), print_out(), and usage().

virtual int FE::nbf | ( |  | ) | `[pure virtual]`

| Implemented in CrouzeixRaviart, VectorCrouzeixRaviart, DiscontinuousLagrangeFE, VectorDiscontinuousLagrangeFE, StandardFE, HermiteFE, LagrangeFE, VectorLagrangeFE, Nedelec, and RaviartThomas. Referenced by code_gen2D(), compute_mixed_Poisson_element_matrix(), compute_nlconvdiff_element_matrix(), compute_poisson_element_matrix(), compute_Poisson_element_matrix(), compute_Stokes_element_matrix(), print_out(), and usage().

virtual void FE::set | ( | Polygon & | p | ) | `[pure virtual]`

| Implemented in CrouzeixRaviart, VectorCrouzeixRaviart, DiscontinuousLagrangeFE, VectorDiscontinuousLagrangeFE, StandardFE, HermiteFE, LagrangeFE, VectorLagrangeFE, Nedelec, and RaviartThomas.

The documentation for this class was generated from the following file:

- FE.h